Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225538 - system-config-printer gets traceback while removing "Job Options"
Summary: system-config-printer gets traceback while removing "Job Options"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC6Update
TreeView+ depends on / blocked
 
Reported: 2007-01-31 07:30 UTC by Michal Jaegermann
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 0.7.52-1.fc6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-15 09:54:41 UTC


Attachments (Terms of Use)

Description Michal Jaegermann 2007-01-31 07:30:14 UTC
Description of problem:

While removing a series of options from "Job Options" tab the
following showed up:

 Traceback (most recent call last):
  File "/usr/share/system-config-printer/system-config-printer.py", line 874, in
on_btnApply_clicked
    err = self.apply()
  File "/usr/share/system-config-printer/system-config-printer.py", line 883, in
apply
    return self.save_printer(self.printer)
  File "/usr/share/system-config-printer/system-config-printer.py", line 1033,
in save_printer
    self.populateList()
  File "/usr/share/system-config-printer/system-config-printer.py", line 478, in
populateList
    self.on_tvMainList_cursor_changed(self.tvMainList)
  File "/usr/share/system-config-printer/system-config-printer.py", line 1167,
in on_tvMainList_cursor_changed
    self.fillPrinterTab(name)
  File "/usr/share/system-config-printer/system-config-printer.py", line 1303,
in fillPrinterTab
    supported = printer.possible_attributes[attr][1]
KeyError: '\x03'

The only action was a series of mouse hits on "Remove" buttons
present on a screen.

Version-Release number of selected component (if applicable):
system-config-printer-0.7.49-1.fc7

Comment 1 Tim Waugh 2007-02-07 15:13:38 UTC
Fixed in CVS.

Comment 2 Tim Waugh 2007-02-07 17:02:34 UTC
Built in rawhide as 0.7.50-1.fc7.

Comment 3 Tim Waugh 2007-02-08 10:27:48 UTC
FC6 test update: 0.7.50-1.fc6.

Comment 4 Fedora Update System 2007-02-14 19:59:52 UTC
Fixed in update: system-config-printer-0.7.52-1.fc6


Note You need to log in before you can comment on or make changes to this bug.